" File: todo_next.vim
" Author: Evgeniy Ilin aka Jenyay <jenyay {at} jenyay.net>
" Description: Плагин для последовательного переключения статуса задач в TodoList
" Version: 1.0
" Date: 16.08.2009
" Commands: NextStatus

if exists("todo_loaded")
	finish
endif

let todo_loaded = 1

function! s:NextStatus() range
	for n in range (a:firstline, a:lastline)
		let line = getline (n)

		if line =~ '\CTODO'
			let line = substitute (line, '\CTODO', 'INPROGRESS', "g")
		elseif line =~ '\CINPROGRESS'
			let line = substitute (line, '\CINPROGRESS', 'DONE', "g")
		elseif line =~ '\CDONE'
			let line = substitute (line, '\CDONE', 'TODO', "g")
		endif
		
		call setline (n, line)

	endfor
endfunction

command! -range NextStatus <line1>,<line2>call s:NextStatus()
